/**
 * @file
 * Global styles.
 */

/* Add custom styles here */
/*
2026-04-15 Updated primary color to be med-blue #1a6bff. The css contrast-color
function is used by Dripyard to automatically update text color, and it thinks
that black looks best, and therefore the following became black:
- footer link text
- button link text
- button icons
We overrode this to make these items white.
*/
.site-footer {
  --footer-link-color: #fff;
}

.button--primary:where(:not([disabled])) {
  --button-text-color: #fff;

  .site-header & {
    --button-font-weight: bold;
  }

  & .button__prefix, & .button__suffix path {
    --button-icon-fill: #fff;
  }
}
